summaryrefslogtreecommitdiffstats
path: root/source/l/notify-python
diff options
context:
space:
mode:
Diffstat (limited to 'source/l/notify-python')
-rw-r--r--source/l/notify-python/libnotify07.patch38
-rwxr-xr-xsource/l/notify-python/notify-python.SlackBuild5
-rw-r--r--source/l/notify-python/slack-desc2
3 files changed, 43 insertions, 2 deletions
diff --git a/source/l/notify-python/libnotify07.patch b/source/l/notify-python/libnotify07.patch
new file mode 100644
index 000000000..b7bf44b5e
--- /dev/null
+++ b/source/l/notify-python/libnotify07.patch
@@ -0,0 +1,38 @@
+http://pkgs.fedoraproject.org/gitweb/?p=notify-python.git;a=blob_plain;f=libnotify07.patch;hb=HEAD
+
+diff -up notify-python-0.1.1/src/pynotify.defs.notify070 notify-python-0.1.1/src/pynotify.defs
+--- notify-python-0.1.1/src/pynotify.defs.notify070 2010-11-02 17:11:14.928179237 -0400
++++ notify-python-0.1.1/src/pynotify.defs 2010-11-02 17:11:51.153180231 -0400
+@@ -38,7 +38,6 @@
+ '("const-gchar*" "summary")
+ '("const-gchar*" "message" (null-ok) (default "NULL"))
+ '("const-gchar*" "icon" (null-ok) (default "NULL"))
+- '("GtkWidget*" "attach" (null-ok) (default "NULL"))
+ )
+ )
+
+@@ -53,24 +52,6 @@
+ )
+ )
+
+-(define-method attach_to_widget
+- (of-object "NotifyNotification")
+- (c-name "notify_notification_attach_to_widget")
+- (return-type "none")
+- (parameters
+- '("GtkWidget*" "attach")
+- )
+-)
+-
+-(define-method attach_to_status_icon
+- (of-object "NotifyNotification")
+- (c-name "notify_notification_attach_to_status_icon")
+- (return-type "none")
+- (parameters
+- '("GtkStatusIcon*" "attach")
+- )
+-)
+-
+ (define-method show
+ (of-object "NotifyNotification")
+ (c-name "notify_notification_show")
diff --git a/source/l/notify-python/notify-python.SlackBuild b/source/l/notify-python/notify-python.SlackBuild
index 97ce72183..9227d8d08 100755
--- a/source/l/notify-python/notify-python.SlackBuild
+++ b/source/l/notify-python/notify-python.SlackBuild
@@ -25,7 +25,7 @@
PKGNAM=notify-python
VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-3}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
@@ -67,6 +67,9 @@ chmod -R u+w,go+r-w,a-s .
# Fix http://trac.galago-project.org/ticket/121
rm -f src/pynotify.c
+# Fix build with libnotify-0.7 (thanks, Fedora)
+zcat $CWD/libnotify07.patch.gz | patch -p1 || exit 1
+
CFLAGS="$SLKCFLAGS" \
./configure \
--prefix=/usr \
diff --git a/source/l/notify-python/slack-desc b/source/l/notify-python/slack-desc
index 3d52503b4..e7718b42f 100644
--- a/source/l/notify-python/slack-desc
+++ b/source/l/notify-python/slack-desc
@@ -5,7 +5,7 @@
# make exactly 11 lines for the formatting to be correct. It's also
# customary to leave one space after the ':'.
- |-----handy-ruler-------------------------------------------------------|
+ |-----handy-ruler------------------------------------------------------|
notify-python: notify-python (Python bindings for libnotify)
notify-python:
notify-python: The notify-python package contains bindings to use libnotify with